Ubuntu

Upgrade to 2.6.28 kernel introduced Nova-T regression

Reported by Mark Hannon on 2009-07-10
60
This bug affects 8 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

== work-around ==

Adding/setting the following options to /etc/modprobe.d/dvb-t.conf (from comment #7 and comment #12):

# Enable DiB0700 Low Noise Amps
options dvb-usb-dib0700 force_lna_activation=1
# Disable DVB remote(s)
options dvb-usb disable_rc_polling=1

== original description ==

I have been running a mythtv box for the last 12 months, first with 8.04 and then with 8.10. Once up and running the system has been running very reliably (except for an occasional x.org CPU 100% incident). When initially setting up the system I had some stability issues with my digital tuner - a Hauppauge Nova-T 500 Dual DVB-T. Those problems were that the tuners would disconnect by themselves and the programs would not be recorded. These issues were fixed by disabling EIT.

*However* last week I upgraded to 9.04 and the problems re-appeared. After a day or so of operation the tuners would fail - only a reboot would bring them back to life.

Failure Extra Information at boot:
Jul 5 12:49:05 sal kernel: [ 11.782045] dvb-usb: found a 'Hauppauge Nova-T 500 Dual DVB-T' in cold state, will try to load a firmware
Jul 5 12:49:05 sal kernel: [ 11.782048] usb 3-1: firmware: requesting dvb-usb-dib0700-1.20.fw

Failure Extra Information when failing:
Jul 6 01:05:00 sal kernel: [ 2470.460430] dvb-usb: error while stopping stream.
:
Jul 6 18:01:10 sal kernel: [63440.197035] mt2060 I2C write failed (len=2)
Jul 6 18:01:10 sal kernel: [63440.197039] mt2060 I2C write failed (len=6)
Jul 6 18:01:10 sal kernel: [63440.197043] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.204510] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.212008] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.220510] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.228510] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.236509] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.244528] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.252509] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.260509] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.268510] mt2060 I2C read failed
Jul 6 18:01:10 sal kernel: [63440.433743] dvb-usb: could not submit URB no. 0 - get them all back
Jul 6 18:01:10 sal kernel: [63440.433751] dvb-usb: error while enabling fifo.
Jul 6 18:51:36 sal kernel: [66466.736019] mt2060 I2C write failed
Jul 6 18:51:37 sal kernel: [66467.316010] mt2060 I2C write failed

Fixes:

Some digging around shows that the driver for the Nova-T was updated in 2.6.28 and it also loads a later version of the firmware than previously used.

I reverted to the 2.6.27 kernel from 8.04 which loads the 1.10 version of the firmware and all is working well again.

Brian Murray (brian-murray) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage. I have classified this bug as a bug in the linux package which provides the kernel.
For future reference you might be interested to know that a lot of applications have bug reporting functionality built in to them. This can be accessed via the Report a Problem option in the Help menu for the application with which you are having an issue. You can learn more about this feature at https://wiki.ubuntu.com/ReportingBugs.

tags: added: regression-release
affects: ubuntu → linux (Ubuntu)

Don't suppose you'd be willing to test and confirm the issue remains in the latest 2.6.31 based Karmic alpha kernel? You could even just try the latest 2.6.31-rc2 Mainline kernel build available at https://wiki.ubuntu.com/KernelTeam/MainlineBuilds . Please let us know your results. Thanks!

Changed in linux (Ubuntu):
status: New → Incomplete

Updated kernel to 2.6.31-2.17 and performed cold-boot to load the newer
firmware version. System came up correctly - will check stability of
the coming 36 hours to see if the tuners drop off.

On Mon, 2009-07-13 at 19:00 +0000, Leann Ogasawara wrote:
> Don't suppose you'd be willing to test and confirm the issue remains in
> the latest 2.6.31 based Karmic alpha kernel? You could even just try
> the latest 2.6.31-rc2 Mainline kernel build available at
> https://wiki.ubuntu.com/KernelTeam/MainlineBuilds . Please let us know
> your results. Thanks!
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>

Mark Hannon (markhannon) wrote :

The 2.6.31 kernel shows the same failure as 2.6.28 after a couple of
hours.

sal:~$ uname -a
Linux sal 2.6.31-2-generic #17-Ubuntu SMP Fri Jul 10 21:48:31 UTC 2009 i686 GNU/Linux
sal:~$ egrep "dvb|mt2060|I2C" /var/log/messages
Jul 15 15:23:21 sal kernel: [ 16.248728] dvb-usb: Hauppauge Nova-T 500 Dual DVB-T successfully initialized and connected.
Jul 15 15:23:21 sal kernel: [ 16.252525] usbcore: registered new interface driver dvb_usb_dib0700
Jul 15 15:30:39 sal kernel: [ 8.792704] dvb-usb: found a 'Hauppauge Nova-T 500 Dual DVB-T' in warm state.
Jul 15 15:30:39 sal kernel: [ 8.792738] dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
Jul 15 15:30:39 sal kernel: [ 10.498578] dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
Jul 15 15:30:39 sal kernel: [ 11.036809] dvb-usb: schedule remote query interval to 50 msecs.
Jul 15 15:30:39 sal kernel: [ 11.036812] dvb-usb: Hauppauge Nova-T 500 Dual DVB-T successfully initialized and connected.
Jul 15 15:30:39 sal kernel: [ 11.037008] usbcore: registered new interface driver dvb_usb_dib0700
Jul 15 16:01:34 sal kernel: [ 1869.484445] mt2060 I2C write failed
Jul 15 16:01:34 sal kernel: [ 1869.488525] mt2060 I2C write failed (len=2)
Jul 15 16:01:34 sal kernel: [ 1869.488530] mt2060 I2C write failed (len=6)
Jul 15 16:01:34 sal kernel: [ 1869.488533] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.496509] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.504512] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.512508] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.520631] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.528512] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.536508] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.544509] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.552512] mt2060 I2C read failed
Jul 15 16:01:34 sal kernel: [ 1869.560509] mt2060 I2C read failed
Jul 15 16:02:01 sal kernel: [ 1896.528518] mt2060 I2C write failed

Regards/Mark

On Wed, 2009-07-15 at 02:55 +0000, Mark Hannon wrote:
> Updated kernel to 2.6.31-2.17 and performed cold-boot to load the newer
> firmware version. System came up correctly - will check stability of
> the coming 36 hours to see if the tuners drop off.
>
>
>
>
> On Mon, 2009-07-13 at 19:00 +0000, Leann Ogasawara wrote:
> > Don't suppose you'd be willing to test and confirm the issue remains in
> > the latest 2.6.31 based Karmic alpha kernel? You could even just try
> > the latest 2.6.31-rc2 Mainline kernel build available at
> > https://wiki.ubuntu.com/KernelTeam/MainlineBuilds . Please let us know
> > your results. Thanks!
> >
> > ** Changed in: linux (Ubuntu)
> > Status: New => Incomplete
> >
>

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Stefan Bader (smb) on 2009-07-21
Changed in linux (Ubuntu):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
Antti Kaihola (akaihola) wrote :

I have similar symptoms after installing Mythbuntu Alpha 6, now running with kernel 2.6.31-10. I used to run MythTV on Hardy (2.6.24-24). Everything seems to match what Devin Heitmueller writes in http://osdir.com/ml/linux-media/2009-08/msg00222.html

karlrt (karlrt) wrote :

i am using karmic amd64 with all updates installed and the nova-t stick (mt2060 hardware) it shows the same errors. With 8.04 everything worked (after installing v4l & firmware) I would be happy to help with any more info you need (proposed kernel etc, different firmware etc)

Michael Krufky (mkrufky) wrote :

Try to use the "disable_rc_polling" module option to the dvb_usb module.

First, unload the modules. Then:

modprobe dvb-usb disable_rc_polling=1
modprobe dvb-usb-dib0700

...then try again.

*or*

echo option dvb-usb disable_rc_polling=1 >> /etc/modprobe.d/options

...then reboot your computer and try again.

Mark Hannon (markhannon) wrote :

Hi Michael,

I tried this some months ago and it doesn't help.

Regards/Mark

PS I think you mean /etc/modprobe.d/options.conf

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Michael Krufky
Sent: Wednesday, 30 September 2009 4:53 AM
To: <email address hidden>
Subject: [Bug 397696] Re: Upgrade to 2.6.28 kernel introduced Nova-T regression

Try to use the "disable_rc_polling" module option to the dvb_usb module.

First, unload the modules. Then:

modprobe dvb-usb disable_rc_polling=1
modprobe dvb-usb-dib0700

...then try again.

*or*

echo option dvb-usb disable_rc_polling=1 >> /etc/modprobe.d/options

...then reboot your computer and try again.

--
Upgrade to 2.6.28 kernel introduced Nova-T regression
https://bugs.launchpad.net/bugs/397696
You received this bug notification because you are a direct subscriber
of the bug.

Stefan Bader (smb) wrote :

About the options file: yes, either options.conf or any other file in /etc/modprobe.d with a .conf extension. IIRC the newer module tools enforce the extension. You should be able to verify whether it was accepted by looking into

/sys/modules/dvb-usb/parameters/disable_rc_polling

Giacomo (giacomo-shimmings) wrote :

Hi Mark, I'm using kernel 2.6.27-14 generic and I'm seeing mt2060 I2C errors in my /var/log/messages using the 1.10.fw - can you confirm which kernel you're using?

Mark Hannon (markhannon) wrote :

Hi Giacomo,

I am now running:
Linux sal 2.6.28-15-generic #52-Ubuntu SMP Wed Sep 9 10:49:34 UTC 2009
i686 GNU/Linux

Firmware is 1.20
Oct 13 22:23:21 sal kernel: [ 12.273696] dvb-usb: found a 'Hauppauge
Nova-T 500 Dual DVB-T' in cold state, will try to load a firmware
Oct 13 22:23:21 sal kernel: [ 12.273699] usb 3-1: firmware: requesting
dvb-usb-dib0700-1.20.fw
Oct 13 22:23:21 sal kernel: [ 12.358728] dvb-usb: downloading firmware
from file 'dvb-usb-dib0700-1.20.fw'
Oct 13 22:23:21 sal kernel: [ 12.574023] dib0700: firmware started
successfully.

This started to work for me after correctly setting up my modules as
per /etc/modprobe.d/options.conf:

options dvb-usb disable_rc_polling=1

I have no errors for mt2060 anymore.

Regards/Mark

On Mon, 2009-10-19 at 09:38 +0000, Giacomo wrote:

> Hi Mark, I'm using kernel 2.6.27-14 generic and I'm seeing mt2060 I2C
> errors in my /var/log/messages using the 1.10.fw - can you confirm which
> kernel you're using?
>

Download full text (4.2 KiB)

Hi Giacomo, Mark,
I too have noticed that I am getting no more errors since my last update and
am also running kernel version 2.6.28-15, but on AMD64 -

Linux coffee 2.6.28-15-generic #52-Ubuntu SMP Wed Sep 9 10:48:52 UTC 2009 *
x86_64* GNU/Linux
mark@coffee:~$ cat /etc/modprobe.d/dvb-t.conf .
# Enable DiB0700 Low Noise Amps
options dvb-usb-dib0700 force_lna_activation=1
# Disable DVB remote(s)
options dvb-usb disable_rc_polling=1

Regards,
Mark O

2009/10/20 Mark Hannon <email address hidden>

> Hi Giacomo,
>
> I am now running:
> Linux sal 2.6.28-15-generic #52-Ubuntu SMP Wed Sep 9 10:49:34 UTC 2009
> i686 GNU/Linux
>
> Firmware is 1.20
> Oct 13 22:23:21 sal kernel: [ 12.273696] dvb-usb: found a 'Hauppauge
> Nova-T 500 Dual DVB-T' in cold state, will try to load a firmware
> Oct 13 22:23:21 sal kernel: [ 12.273699] usb 3-1: firmware: requesting
> dvb-usb-dib0700-1.20.fw
> Oct 13 22:23:21 sal kernel: [ 12.358728] dvb-usb: downloading firmware
> from file 'dvb-usb-dib0700-1.20.fw'
> Oct 13 22:23:21 sal kernel: [ 12.574023] dib0700: firmware started
> successfully.
>
> This started to work for me after correctly setting up my modules as
> per /etc/modprobe.d/options.conf:
>
> options dvb-usb disable_rc_polling=1
>
> I have no errors for mt2060 anymore.
>
> Regards/Mark
>
>
>
> On Mon, 2009-10-19 at 09:38 +0000, Giacomo wrote:
>
> > Hi Mark, I'm using kernel 2.6.27-14 generic and I'm seeing mt2060 I2C
> > errors in my /var/log/messages using the 1.10.fw - can you confirm which
> > kernel you're using?
> >
>
> --
> Upgrade to 2.6.28 kernel introduced Nova-T regression
> https://bugs.launchpad.net/bugs/397696
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> I have been running a mythtv box for the last 12 months, first with 8.04
> and then with 8.10. Once up and running the system has been running very
> reliably (except for an occasional x.org CPU 100% incident). When
> initially setting up the system I had some stability issues with my digital
> tuner - a Hauppauge Nova-T 500 Dual DVB-T. Those problems were that the
> tuners would disconnect by themselves and the programs would not be
> recorded. These issues were fixed by disabling EIT.
>
> *However* last week I upgraded to 9.04 and the problems re-appeared. After
> a day or so of operation the tuners would fail - only a reboot would bring
> them back to life.
>
> Failure Extra Information at boot:
> Jul 5 12:49:05 sal kernel: [ 11.782045] dvb-usb: found a 'Hauppauge
> Nova-T 500 Dual DVB-T' in cold state, will try to load a firmware
> Jul 5 12:49:05 sal kernel: [ 11.782048] usb 3-1: firmware: requesting
> dvb-usb-dib0700-1.20.fw
>
> Failure Extra Information when failing:
> Jul 6 01:05:00 sal kernel: [ 2470.460430] dvb-usb: error while stopping
> stream.
> :
> Jul 6 18:01:10 sal kernel: [63440.197035] mt2060 I2C write failed (len=2)
> Jul 6 18:01:10 sal kernel: [63440.197039] mt2060 I2C write failed (len=6)
> Jul 6 18:01:10 sal kernel: [63440.197043] mt2060 I2C read failed
> Jul 6 18:01:10 sal kernel: [63440.204510] mt2060 I2C read failed
> Jul 6 18:01...

Read more...

Giacomo (giacomo-shimmings) wrote :

I've not had any issues for the last two weeks. Initially I thought it was a low signal issue and I recabled the route from the antenna and bought a strength meter to check, my siganl is good and has low noise.

I think my issue was to do with multiple capture cards in the mythtv database. I noticed additional NULL entries in the table when taking a peek with PhPMyAdmin.

This thread advocates making sure the table is clear, but I think I read a Ubuntu thread that said there was a bug where sometimes additional cards are added to the table. I can't find the forum posting now, but it does seem sensible to check your capture card table entries.
http://www.gossamer-threads.com/lists/mythtv/users/260095#260095

I wiped all the capture cards and TV sources and checked the database table for cards was clean. I made sure my /etc/modprobe.d/options.conf had the LNA and rc_polling options and did a cold reboot to load fw 1.20.

I enabled ETI for the listings source, but disabled EIT on each card. I populated the channels by doing a scan and then check the card table again using PhpMyadmin. Only the two tuners from the Nova-T 500 were present.

I enabled EIT scanning for data on one tuner and gave it a delay of 1000ms. Following this procedure, I have had no further errors. I have since upgrade my kernel this morning to 2.6.28-16 and will report back if there are any further issues.

tags: added: jaunty
Stefan Bader (smb) wrote :

Tentatively I would like to close this as sort of "won't fix with work-around", if all agree to this (especially Mark as the initial reported).

I think the bug can be closed, since setting the kernel modules
correctly I have stable operation.

On Wed, 2009-12-09 at 10:45 +0000, Stefan Bader wrote:
> Tentatively I would like to close this as sort of "won't fix with work-
> around", if all agree to this (especially Mark as the initial reported).
>

Giacomo (giacomo-shimmings) wrote :

I'd like to agree with Mark, with the correct kernel modules and correct card entries in the mythtv backend I too have stable operation.

Stefan Bader (smb) wrote :

Closing this (as discussed). Added work-around / config change to bug description. Thanks.

description: updated
Changed in linux (Ubuntu):
assignee: Stefan Bader (stefan-bader-canonical) → nobody
status: Triaged → Won't Fix
Mark Weaver (mark-clist) wrote :

I don't find this workaround acceptable as it disables the remote control

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers